nxt.http

## Class CreateTransaction

- java.lang.Object
- - nxt.http.APIServlet.APIRequestHandler
  - - nxt.http.CreateTransaction

- Direct Known Subclasses:
    ApproveTransaction, BundleTransactions, BuyAlias, CancelAskOrder, CancelBidOrder, CancelCoinExchange, CastVote, CreatePoll, CurrencyBuy, CurrencyMint, CurrencyReserveClaim, CurrencyReserveIncrease, CurrencySell, DeleteAccountProperty, DeleteAlias, DeleteAssetProperty, DeleteAssetShares, DeleteContractReference, DeleteCurrency, DGSDelisting, DGSDelivery, DGSFeedback, DGSListing, DGSPriceChange, DGSPurchase, DGSQuantityChange, DGSRefund, DividendPayment, ExchangeCoins, IncreaseAssetShares, IssueAsset, IssueCurrency, LeaseBalance, PlaceAskOrder, PlaceBidOrder, PublishExchangeOffer, SellAlias, SendMessage, SendMoney, SetAccountInfo, SetAccountProperty, SetAlias, SetAssetProperty, SetContractReference, SetPhasingAssetControl, SetPhasingOnlyControl, ShufflingCancel, ShufflingCreate, ShufflingProcess, ShufflingRegister, ShufflingVerify, TransferAsset, TransferCurrency, UploadTaggedData

      public abstract class CreateTransaction
      extends APIServlet.APIRequestHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `CreateTransaction.CreateTransactionParameters`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CreateTransaction(java.lang.String fileParameter, APITag[] apiTags, java.lang.String... parameters)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `allowRequiredBlockParameters()`
    `protected org.json.simple.JSONStreamAware` | `createTransaction(javax.servlet.http.HttpServletRequest req, Account senderAccount, Attachment attachment)`
    `static java.util.List<java.lang.String>` | `getCommonParameters()`
    `protected boolean` | `isChainSpecific()`
    `protected boolean` | `requirePost()`
    `protected CreateTransaction.CreateTransactionParameters` | `transactionParameters(javax.servlet.http.HttpServletRequest req, Account senderAccount, Attachment attachment)`

    - ### Methods inherited from class nxt.http.APIServlet.APIRequestHandler

      `getAPITags, getFileParameter, getParameters, isIgnisOnly, isPassword, isTextArea, processRequest, processRequest, requireBlockchain, requireFullClient, requirePassword, startDbTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateTransaction

          protected CreateTransaction(java.lang.String fileParameter,
                                      APITag[] apiTags,
                                      java.lang.String... parameters)

  - ### Method Detail

    - #### getCommonParameters

          public static java.util.List<java.lang.String> getCommonParameters()

    - #### createTransaction

          protected final org.json.simple.JSONStreamAware createTransaction(javax.servlet.http.HttpServletRequest req,
                                                                            Account senderAccount,
                                                                            Attachment attachment)
                                                                     throws NxtException

      Throws:
        `NxtException`

    - #### transactionParameters

          protected final CreateTransaction.CreateTransactionParameters transactionParameters(javax.servlet.http.HttpServletRequest req,
                                                                                              Account senderAccount,
                                                                                              Attachment attachment)

    - #### requirePost

          protected final boolean requirePost()

      Overrides:
        `requirePost` in class `APIServlet.APIRequestHandler`

    - #### allowRequiredBlockParameters

          protected final boolean allowRequiredBlockParameters()

      Overrides:
        `allowRequiredBlockParameters` in class `APIServlet.APIRequestHandler`

    - #### isChainSpecific

          protected final boolean isChainSpecific()

      Overrides:
        `isChainSpecific` in class `APIServlet.APIRequestHandler`